/* Copyright (c) 2000,2001 Sinby, Inc.
   All Rights Reserved 

   This project is covered by the E-Sinby Embedded System Public License. 
   */

/* $Id: BreakPoint.c,v 1.1 2001/03/10 02:35:46 ryos Exp $ */

#include "config.h"
#include "config-std.h"
#include "config-io.h"
#include "config-mem.h"

#include "BreakPoint.h"
void diag_printf(char *,...);

void com_sinby_kaffe_ecos_BreakPoint_breakPoint(void)
{
	// nothing to do
}

void com_sinby_kaffe_ecos_BreakPoint_print(struct Hjava_lang_String *jstr)
{
	char *cstr;

	if ( jstr == NULL ) {
		diag_printf("<null>\n");
	} else {
		cstr = checkPtr(stringJava2C(jstr));
		diag_printf("%s\n",cstr);
	}
}
